import {graphql, useStaticQuery} from 'gatsby'

export const useJaenPagePaths = () => {
  let staticData

  try {
    staticData = useStaticQuery<{
      allJaenPage: {
        nodes: Array<{
          id: string
          buildPath: string
        }>
      }
    }>(graphql`
      query {
        allJaenPage {
          nodes {
            id
            buildPath
          }
        }
      }
    `)
  } catch (e) {
    return []
  }

  return staticData.allJaenPage.nodes
}
